# \Thelia\Core\Template\Loop\ArgumentArgument

## Summary

Methods
Properties
Constants
__construct()
getValue()
setValue()
createAnyTypeArgument()
createIntTypeArgument()
createFloatTypeArgument()
createBooleanTypeArgument()
createBooleanOrBothTypeArgument()
createIntListTypeArgument()
$name
$type
$default
$mandatory
$empty
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$value
N/A

File
  Core/Template/Loop/Argument/Argument.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Template\Loop\Argument\Argument

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $name

    $name

#

## Tags

None found

### $type

    $type

#

## Tags

None found

### $default

    $default

#

## Tags

None found

### $mandatory

    $mandatory

#

## Tags

None found

### $empty

    $empty

#

## Tags

None found

### $value

    $value

#

## Tags

None found

## Methods

### __construct()

    __construct( $name, \Thelia\Type\TypeCollection $type,  $default,  $mandatory,  $empty,  $value)

#### Parameters

| $name |
\Thelia\Type\TypeCollection | $type |
| $default |
| $mandatory |
| $empty |
| $value |

#

## Tags

None found

### getValue()

    getValue()

#

## Tags

None found

### setValue()

    setValue( $value)

#### Parameters

| $value |

#

## Tags

None found

### createAnyTypeArgument()

    createAnyTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### createIntTypeArgument()

    createIntTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### createFloatTypeArgument()

    createFloatTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### createBooleanTypeArgument()

    createBooleanTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### createBooleanOrBothTypeArgument()

    createBooleanOrBothTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### createIntListTypeArgument()

    createIntListTypeArgument( $name,  $default,  $mandatory,  $empty)

#### Parameters

| $name |
| $default |
| $mandatory |
| $empty |

#

static

## Tags

None found

### Argument.php